**    ModelEco : MODELisation en programmation mathmatique pour l'analyse ECOnomique de l'agriculure    **

*-----------------------------------------------------------------------------*
$Ontext
Nom              Primal2
Sequence         1 - Initiation  la programmation mathmatique avec GAMS
Type             LP
Langage GAMS

Description
Programme dual de
" Soit une exploitation agricole qui peut pratiquer deux cultures : le bl et le mas.
On cherche  dterminer la superficie  cultiver dans chaque production, sachant que :
L'objectif de l'agriculteur est la maximisation du revenu.
Par hectare, le bl rapporte 450  et le mas 1000.
Le bl utilise 25 heures de travail par ha et par an et le mais 50 heures.
La surface de l'exploitation est de 50 ha et l'agriculteur dispose de 2000 heures de travail par an. "


$Offtext
*-----------------------------------------------------------------------------*



*~~~~~~~~~~~~~~~~~~~~~~~~ INDICES ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*

set F /terre, travail/;

*~~~~~~~~~~~~~~~~~~~~~~~~ DONNEES ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
scalar
VBLE /450/
VMAIS /1000/;

parameter

DISPO (F)        disponibilites en facteur de production
/terre 50, travail 2000/
PRODble(F)       quantite de facteurs ncessaires pour produire une unite de ble
/terre 1, travail 25/
prodmais(F)      quantite de facteurs necessaires pour produire une unite de mas
/terre 1, travail 50/
;

*~~~~~~~~~~~~~~~~~~~~~~~~ MODELE  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
variables
Y(F)   les prix des facteurs
Z
;

positive variables
Y
;

equation
fo       minimisation des couts de production
ble      la couts de production du ble doit etre au moins egal a la valeur de la production
mais     les couts de production du mais doivent etre au moins egal a la valeur de la production
;

fo ..    sum(F,DISPO(F)*Y(F))=e= Z;

ble..    sum(F, Prodble(F)*Y(f))=g=VBLE;

mais..   sum(F, prodmais(F)*Y(f))=g=VMAIS;

model ex2 /all/;

*~~~~~~~~~~~~~~~~~~~~~~~~ SOLUTION ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
solve ex2 using LP minimizing Z;

